library uucode32;
uses
  UUCode, SysUtils;

procedure filecopyD(Const InFile,OutFile: ShortString); stdcall;
begin
  with TUUCode.Create(nil) do
  try
    InputFile := InFile;
    OutputFile := OutFile;
    Algorithm := filecopy;
    UUCode
  finally
    Free
  end
end {filecopy};

procedure uuencodeD(Const InFile,OutFile: ShortString; Mode: Word; Unix: Boolean); stdcall;
begin
  with TUUCode.Create(nil) do
  try
    InputFile := InFile;
    OutputFile := OutFile;
    FileMode := Mode;
    if Unix then UnixCRLF := LF;
    Algorithm := uuencode;
    UUCode
  finally
    Free
  end
end {uuencode};

procedure uudecodeD(Const InFile: ShortString; Unix: Boolean); stdcall;
begin
  with TUUCode.Create(nil) do
  try
    InputFile := InFile;
    if Unix then UnixCRLF := LF;
    Algorithm := uudecode;
    UUCode
  finally
    Free
  end
end {uudecode};

procedure xxencodeD(Const InFile,OutFile: ShortString; Mode: Word; Unix: Boolean); stdcall;
begin
  with TUUCode.Create(nil) do
  try
    InputFile := InFile;
    OutputFile := OutFile;
    FileMode := Mode;
    if Unix then UnixCRLF := LF;
    Algorithm := xxencode;
    UUCode
  finally
    Free
  end
end {xxencode};

procedure xxdecodeD(Const InFile: ShortString; Unix: Boolean); stdcall;
begin
  with TUUCode.Create(nil) do
  try
    InputFile := InFile;
    if Unix then UnixCRLF := LF;
    Algorithm := xxdecode;
    UUCode
  finally
    Free
  end
end {xxdecode};

procedure base64encodeD(Const InFile,OutFile: ShortString; Mode: Word; Unix: Boolean); stdcall;
begin
  with TUUCode.Create(nil) do
  try
    InputFile := InFile;
    OutputFile := OutFile;
    FileMode := Mode;
    if Unix then UnixCRLF := LF;
    Algorithm := base64encode;
    UUCode
  finally
    Free
  end
end {base64encode};

procedure base64decodeD(Const InFile: ShortString; Unix: Boolean); stdcall;
begin
  with TUUCode.Create(nil) do
  try
    InputFile := InFile;
    if Unix then UnixCRLF := LF;
    Algorithm := base64decode;
    UUCode
  finally
    Free
  end
end {base64decode};


procedure filecopyA(InFile,OutFile: PChar); stdcall;
begin
  with TUUCode.Create(nil) do
  try
    InputFile := StrPas(InFile);
    OutputFile := StrPas(OutFile);
    Algorithm := filecopy;
    UUCode
  finally
    Free
  end
end {filecopy};

procedure uuencodeA(InFile,OutFile: PChar; Mode: Word; Unix: Boolean); stdcall;
begin
  with TUUCode.Create(nil) do
  try
    InputFile := StrPas(InFile);
    OutputFile := StrPas(OutFile);
    FileMode := Mode;
    if Unix then UnixCRLF := LF;
    Algorithm := uuencode;
    UUCode
  finally
    Free
  end
end {uuencode};

procedure uudecodeA(InFile: PChar; Unix: Boolean); stdcall;
begin
  with TUUCode.Create(nil) do
  try
    InputFile := StrPas(InFile);
    if Unix then UnixCRLF := LF;
    Algorithm := uudecode;
    UUCode
  finally
    Free
  end
end {uudecode};

procedure xxencodeA(InFile,OutFile: PChar; Mode: Word; Unix: Boolean); stdcall;
begin
  with TUUCode.Create(nil) do
  try
    InputFile := StrPas(InFile);
    OutputFile := StrPas(OutFile);
    FileMode := Mode;
    if Unix then UnixCRLF := LF;
    Algorithm := xxencode;
    UUCode
  finally
    Free
  end
end {xxencode};

procedure xxdecodeA(InFile: PChar; Unix: Boolean); stdcall;
begin
  with TUUCode.Create(nil) do
  try
    InputFile := StrPas(InFile);
    if Unix then UnixCRLF := LF;
    Algorithm := xxdecode;
    UUCode
  finally
    Free
  end
end {xxdecode};

procedure base64encodeA(InFile,OutFile: PChar; Mode: Word; Unix: Boolean); stdcall;
begin
  with TUUCode.Create(nil) do
  try
    InputFile := StrPas(InFile);
    OutputFile := StrPas(OutFile);
    FileMode := Mode;
    if Unix then UnixCRLF := LF;
    Algorithm := base64encode;
    UUCode
  finally
    Free
  end
end {base64encode};

procedure base64decodeA(InFile: PChar; Unix: Boolean); stdcall;
begin
  with TUUCode.Create(nil) do
  try
    InputFile := StrPas(InFile);
    if Unix then UnixCRLF := LF;
    Algorithm := base64decode;
    UUCode
  finally
    Free
  end
end {base64decode};


exports filecopyD index 1 name 'FILECOPY',
        uuencodeD index 2 name 'UUENCODE',
        uudecodeD index 3 name 'UUDECODE',
        xxencodeD index 4 name 'XXENCODE',
        xxdecodeD index 5 name 'XXDECODE',
        base64encodeD index 6 name 'BASE64ENCODE',
        base64decodeD index 7 name 'BASE64DECODE',
        filecopyA index 11,
        uuencodeA index 12,
        uudecodeA index 13,
        xxencodeA index 14,
        xxdecodeA index 15,
        base64encodeA index 16,
        base64decodeA index 17;

begin
end.