unit uuform;
interface
uses
  WinTypes, WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, UUCode, Gauges;

type
  TFormUUCode = class(TForm)
    RadioGroup: TRadioGroup;
    BitBtnConvert: TBitBtn;
    EditInput: TEdit;
    EditOutput: TEdit;
    Label1: TLabel;
    Gauge1: TGauge;
    Label2: TLabel;
    UUCode: TUUCode;
    procedure EditInputDblClick(Sender: TObject);
    procedure RadioGroupClick(Sender: TObject);
    procedure BitBtnConvertClick(Sender: TObject);
    procedure UUCodeProgress(Percent: Word);
  end;

var
  FormUUCode: TFormUUCode;

implementation
{$R *.DFM}

procedure TFormUUCode.EditInputDblClick(Sender: TObject);
begin
  with TOpenDialog.Create(Self) do
  try
    Title := 'UUCode input file';
    Filter := 'All Files (*.*)|*.*';
    HelpContext := 0;
    Options := Options + [ofShowHelp, ofPathMustExist, ofFileMustExist];
    if Execute then EditInput.Text := Filename;
  finally
    Free
  end
end;

procedure TFormUUCode.RadioGroupClick(Sender: TObject);
begin
  if RadioGroup.ItemIndex in [2,4,6] then
  begin
    EditOutput.Text := 'n/a';
    EditOutput.Enabled := False
  end
  else
    EditOutput.Enabled := True
end;

procedure TFormUUCode.BitBtnConvertClick(Sender: TObject);
begin
  Gauge1.Progress := 0;
  (Sender AS TBitBtn).Enabled := False;
  UUCode.InputFile := EditInput.Text;
  UUCode.OutputFile := EditOutput.Text;
  UUCode.Algorithm := TAlgorithm(RadioGroup.ItemIndex);
  try
    UUCode.UUCode;
  finally
    (Sender AS TBitBtn).Enabled := True
  end
end;


procedure TFormUUCode.UUCodeProgress(Percent: Word);
begin
  if Gauge1.Progress <> Percent then Gauge1.Progress := Percent;
  Application.ProcessMessages { allow others to breath as well }
end;

end.
